<?php

require '../system/start.php';
require '../system/functions.php';
reg();
$str['mesto'] = 'Угадайка';
$str['block'] = $set['site'].' / Развлечения / Угадайка';
include '../style/'.$style.'/head.php';
if ($user['balls'] < 10){
echo '<div class=content>
У вас недостаточно постов для игры!<br />
Необходимо что бы у вас было не меньше 10 монет!<br />
</div>
<div class="on">
<img class="ico" src="../style/'.$style.'/ico/fun.gif" alt="" /> <a href="index.php">Назад</a><br/>
</div';
}else{
switch($act)
{
default:
echo '<div class="forum1">';
if (isset($_GET['max']))
{
	echo 'Число не должно привышать 10!<br />';
}
if (isset($_GET['min']))
{
	echo 'Число не должно быть меньше 1!<br />';
}
if (isset($_GET['gains']))
{
	echo 'Вы угадали! Вам начисленно 65 монет!<br />';
}
if (isset($_GET['lost']))
{
	echo 'Вы не угадали! У вас сняли 15 монет!<br />';
}
echo '<form action="?act=game" method="post">
<div>
Введите число от 1 до 10: <br />
<input name="number" type="text" maxlength="2" /><br />
<input name="value" type="submit" value="Играть" />
</div>
</form>
</div>
<div class="mess">У вас в наличии: '.$user['balls'].' монет</div>
<div class="on">
<img class="ico" src="../style/'.$style.'/ico/fun.gif" alt="" /> <a href="index.php">Назад</a><br/>

</div>';

break;

case 'game':
$r = mt_rand(1,10);
$number = int($_POST['number']);
if ($number > 10) {header ("Location: ugad.php?big");  exit;}
if ($number < 1) {header ("Location: ugad.php?small");  exit;}
if ($number == $r)
{
	mysql_query("UPDATE `users` SET `balls`=`balls`+65 WHERE `id` = ".$user['id']."");
	header ("Location: ugad.php?gains");
	exit;
}
else
{
	mysql_query("UPDATE `users` SET `balls`=`balls`-15 WHERE `id` = ".$user['id']."");
	header ("Location: ugad.php?lost");  exit;
}
break;
}
}
include '../style/'.$style.'/foot.php';
?>